Get artist claim status
curl --request GET \
--url https://varco-{partner}.musixmatch.com/distribution/v1/artist/claim/{partner_user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://varco-{partner}.musixmatch.com/distribution/v1/artist/claim/{partner_user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://varco-{partner}.musixmatch.com/distribution/v1/artist/claim/{partner_user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "artist claim status retrieved",
"data": {
"artist_claim": {
"claim_id_list": [
{
"partner_artist_id": "123456",
"partner_user_id": "123456",
"spotify_artist_id": "4Z8W4fKeB5YxbusRsdQVPb",
"itunes_artist_id": "909253"
}
]
}
}
}{
"message": "<string>",
"data": {
"error": {
"code": "<string>",
"namespace": "<string>",
"extraData": "<unknown>"
}
}
}{
"message": "<string>",
"data": {
"error": {
"code": "<string>",
"namespace": "<string>",
"extraData": "<unknown>"
}
}
}{
"message": "<string>",
"data": {
"error": {
"code": "<string>",
"namespace": "<string>",
"extraData": "<unknown>"
}
}
}Artist Claims
Get artist claim status
Returns the verified artist identifiers associated with a distributor user. Use this to confirm that a claim has been successfully processed.
GET
/
distribution
/
v1
/
artist
/
claim
/
{partner_user_id}
Get artist claim status
Authorizations
Access token obtained via the Client Credentials OAuth 2.0 flow at https://connect.musixmatch.com/oauth/token
Path Parameters
The partner's internal user identifier
Query Parameters
The trustee identifier associated with the claim
Was this page helpful?
⌘I